com.fasterxml.jackson.databind.deser.impl

## Class ObjectIdReferenceProperty.PropertyReferring

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.ReadableObjectId.Referring
  - - com.fasterxml.jackson.databind.deser.impl.ObjectIdReferenceProperty.PropertyReferring

Enclosing class:
  ObjectIdReferenceProperty

    public static final class ObjectIdReferenceProperty.PropertyReferring
    extends ReadableObjectId.Referring

### Field Summary

Fields
`Object` `_pojo`

### Constructor Summary

Constructors
Constructor and Description
`ObjectIdReferenceProperty.PropertyReferring(ObjectIdReferenceProperty parent, UnresolvedForwardReference ref, Class<?> type, Object ob)`

### Method Summary

Methods
`void` `handleResolvedForwardReference(Object id, Object value)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.impl.ReadableObjectId.Referring

`getBeanType, getLocation, hasId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _pojo

    public final Object _pojo

### Constructor Detail

#### ObjectIdReferenceProperty.PropertyReferring

    public ObjectIdReferenceProperty.PropertyReferring(ObjectIdReferenceProperty parent,
                                               UnresolvedForwardReference ref,
                                               Class<?> type,
                                               Object ob)

### Method Detail

#### handleResolvedForwardReference

    public void handleResolvedForwardReference(Object id,
                                      Object value)
                                        throws IOException

Specified by:
  `handleResolvedForwardReference` in class `ReadableObjectId.Referring`
Throws:
  `IOException`